@echo off
CLS

REM HOLIDAYS.BAT for FDATE version 4.2a
REM If you have any corrections to the algorithms
REM in this batch file, please send them to Steve Ferg.


if not (%1)==() goto nohelp
echo 
echo                   HOW TO USE HOLIDAYS.BAT
echo 
ECHO HOLIDAYS without any parameters displays events in current year.
ECHO.
ECHO HOLIDAYS [year]                 displays events in [year].
ECHO EXAMPLE: HOLIDAYS 1999          displays events in year 1999.
ECHO.
ECHO.
ECHO.
ECHO To print the calendar, press SHIFT+PRINTSCREEN to print each screen.
ECHO.
pause
cls
:nohelp


rem --------------------------------------------------------
rem get current year
rem --------------------------------------------------------
Fdate /Ff /At /Occyy /P"@set year=" >junktemp.bat
call junktemp.bat
del  junktemp.bat


REM if user specifies a year as parm1, use it
if not (%1)==() set year=%1


rem --------------------------------------------------------
rem Determine if year is a leapyear
rem AND check for validity of year parm (%1)
rem --------------------------------------------------------
Fdate /Ff /Imm-dd-ccyy /A01-01-%year% /Oly /P"@set LY=">junktemp.bat
call junktemp.bat
del  junktemp.bat
if (%LY%)==(ERROR) echo Parm #1 was not a valid year: %1
if (%LY%)==(ERROR) goto endit



echo 
if (%LY%)==(0) ECHO                   EVENTS IN %YEAR%  (part 1)
if (%LY%)==(1) ECHO                   EVENTS IN %YEAR%  (part 1)       Note: %year% is a leap year
echo 
Fdate /Ff /Imm-dd-ccyy /Od1 /a01-01-%year% /P"New Year's Day........................"
Fdate /Ff /Imm-dd-ccyy /Od1 /A01-06-%year% /P"Epiphany.............................."
Fdate /Fw /D2 /N3 /A01-01-%year% /Imm-dd-ccyy /Od1 /P"Martin Luther King, Jr. Day..........."
Fdate /Ff /Imm-dd-ccyy /Od1 /a02-14-%year% /P"Valentine's day......................."
Fdate /Fw /D2 /N3 /A02-01-%year% /Imm-dd-ccyy /Od1 /P"Presidents' Day......................."
Fdate /Ff /Imm-dd-ccyy /Od1 /a03-17-%year% /P"St. Patricks's Day...................."

if (%LY%)==(1) Fdate /Ff /Imm-dd-ccyy /Od1 /a02-29-%year% /P"Sadie Hawkins Day....................."
set ly=

REM ========== begin: DATES TIED TO EASTER==============================
set easter=
if (%year%)==(1991) set easter=03-31-%year%
if (%year%)==(1992) set easter=04-19-%year%
if (%year%)==(1993) set easter=04-11-%year%
if (%year%)==(1994) set easter=04-03-%year%
if (%year%)==(1995) set easter=04-16-%year%
if (%year%)==(1996) set easter=04-07-%year%
if (%year%)==(1997) set easter=03-30-%year%
if (%year%)==(1998) set easter=04-12-%year%
if (%year%)==(1999) set easter=04-04-%year%
if (%year%)==(2000) set easter=04-23-%year%
if (%year%)==(2001) set easter=04-15-%year%
if (%easter%)==() goto unknown
echo.
Fdate /Fsub /Imm-dd-ccyy /N40 /Od1 /a%easter% /P"Mardi Gras (Shrove Tuesday)..........."
Fdate /Fsub /Imm-dd-ccyy /N46 /Od1 /a%easter% /P"Ash Wednesday (Lent begins)..........."
Fdate /Fsub /Imm-dd-ccyy /N7  /Od1 /a%easter% /P"Palm Sunday..........................."
Fdate /Fsub /Imm-dd-ccyy /N2 /Od1  /A%easter% /P"Good Friday..........................."
Fdate /Ff   /Imm-dd-ccyy      /Od1 /a%easter% /P"Easter................................"
echo.
:unknown
REM ==========   end: DATES TIED TO EASTER==============================

Fdate /Fw /D4 /N4 /A04-01-%year% /Imm-dd-ccyy /Od1 /P"Secretaries Day......................."
Fdate /Ff /Imm-dd-ccyy /Od1 /a05-05-%year% /P"Cinco de Mayo (Mexico)................"

Fdate /Fw /D1 /N2 /A05-01-%year% /Imm-dd-ccyy /Od1 /P"Mother's Day.........................."
Fdate /Fw /D2 /N-1 /A05-24-%year% /Imm-dd-ccyy /Od1 /P"Victoria Day (Canada)................."
Fdate /FW /D2 /N-1 /a05-31-%year% /Imm-dd-ccyy /Od1 /P"Memorial Day (observed)..............."

echo 
PAUSE
CLS
echo 
ECHO                   EVENTS IN %YEAR%  (part 2)
echo 

if not (%easter%)==() Fdate /Fadd /Imm-dd-ccyy /N39 /Od1 /A%easter% /P"Ascension Day........................."
if not (%easter%)==() Fdate /Fadd /Imm-dd-ccyy /N49 /Od1 /A%easter% /P"Pentecost............................."
if not (%easter%)==() echo.
Fdate /Ff /Imm-dd-ccyy /Od1 /A06-14-%year%  /P"Flag Day.............................."
rem ----- anniversary of Bloom's Day, June 16, 1904 ------------------
rem Here's a way to show an anniversary or event that you want to note.
rem Thanks to L. Schliesser for the algorithm.
rem ------------------------------------------------------------------
Fdate /F#dif /A%year% /B1904 /P"@set ann=">junktemp.bat
call junktemp.bat
del junktemp.bat
Fdate /Ff /Imm-dd-ccyy /a06-16-%year% /Od1 /P"Bloom's Day (%ann%th anniversary)........"
rem ---------------end bloom's day --------------------------------------

Fdate /Fw /D1 /N3 /A06-01-%year% /Imm-dd-ccyy /Od1 /P"Father's Day.........................."
Fdate /Ff /Imm-dd-ccyy /Od1 /a07-01-%year% /P"Canada Day (Canada)..................."
Fdate /Ff /Imm-dd-ccyy /Od1 /a07-04-%year% /P"Independence Day (USA)................"
Fdate /Ff /Imm-dd-ccyy /Od1 /a07-14-%year% /P"Bastille Day (France)................."

rem ---- begin ------- note a particular day in a particular year
rem This technique is useful for noting special events:
rem 21st birthdays, 50th wedding anniversaries, etc.
if (%year%)==(1992) Fdate /Ff /Imm-dd-ccyy /Od1 /a10-12-%year% /P"500th ann. of Columbus's discovery...."
rem ----  end -------- note a particular day in a particular year

Fdate /Fw /D2 /N2 /A10-01-%year% /Imm-dd-ccyy /Od1 /P"Columbus Day (observed)..............."
Fdate /Ff /Imm-dd-ccyy /Od1 /a11-11-%year% /P"Veteran's Day........................."

Fdate /Fw /D5 /N4 /A11-01-%year% /Imm-dd-ccyy /Od1 /P"Thanksgiving Day......................"


Fdate /Fw /D1 /N-4 /A12-24-%year% /Imm-dd-ccyy /Od1 /P"First Sunday in Advent................"
Fdate /Ff /Imm-dd-ccyy /Od1 /a12-25-%year% /P"Christmas............................."
Fdate /fadd /Imm-dd-ccyy /Od1 /N1 /a12-31-%year% /P"New Year's Day........................"
echo 
:endit
set year=
set easter=
set LY=
